STW can be installed via a simple xcopy deployment procedure.

Prerequisites

The following software must be installed on the server in order to run STW.
  • Internet Information Services (IIS) 5.1/6/7/7.5
  • Microsoft .NET Framework 3.5 SP1 (ASP.NET 3.5 SP1)
  • Microsoft SQL Server 2005/2008 Express or greater (optional).

IIS Application Pool and .NET Framework Version

Example of a custom Application Pool

name: wiki-app-pool
.NET Framework: v2.0* (see below)
Managed Pipeline mode: Integrated
Identity NetworkService


STW v3 is asp.net 3.5 (v2 framework)
STW v4 is asp.net 4 (v4 framework)

Which Version Should I Use?

If your wiki will contain less than 150 pages edited by less than 50 users, you can opt for the File-System Data Storage version because it's easier to setup. If your wiki will contain more pages, we suggest you to install the SQL Server Data Storage version.

Procedures

Last edited Jun 29, 2013 at 8:10 PM by jwj, version 2

Comments

No comments yet.